Page(3)

NAME
  IO::Page - Pipe STDOUT to a pager if STDOUT is a TTY

SYNOPSIS
Pipes STDOUT to a pager if STDOUT is a TTY

DESCRIPTION
IO::Page is designed to programmaticly decide whether or not to point the STDOUT file handle into a pipe to program specified in $ENV{PAGER} or one of a standard list of pagers.

USAGE
  use IO::Page ;
  print <<"  HEREDOC" ;
  ...
  A bunch of text later
  HEREDOC

AUTHOR
  Monte Mitzelfelt <monte-iopage@gonefishing.org>